package com.srs.routine.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.routine.mapper.SysDisMateMapper;
import com.srs.routine.domain.SysDisMate;
import com.srs.routine.service.ISysDisMateService;

/**
 * 退伍复学材料Service业务层处理
 *
 * @author srs
 * @date 2025-10-28
 */
@Service
public class SysDisMateServiceImpl extends ServiceImpl<SysDisMateMapper,SysDisMate> implements ISysDisMateService {
    @Autowired
    private SysDisMateMapper sysDisMateMapper;

    /**
     * 查询退伍复学材料
     *
     * @param id 退伍复学材料主键
     * @return 退伍复学材料
     */
    @Override
    public SysDisMate selectSysDisMateById(Long id) {
        return sysDisMateMapper.selectSysDisMateById(id);
    }

    /**
     * 查询退伍复学材料列表
     *
     * @param sysDisMate 退伍复学材料
     * @return 退伍复学材料
     */
    @Override
    public List<SysDisMate> selectSysDisMateList(SysDisMate sysDisMate) {
        return sysDisMateMapper.selectSysDisMateList(sysDisMate);
    }

    /**
     * 新增退伍复学材料
     *
     * @param sysDisMate 退伍复学材料
     * @return 结果
     */
    @Override
    public int insertSysDisMate(SysDisMate sysDisMate) {
            return sysDisMateMapper.insertSysDisMate(sysDisMate);
    }

    /**
     * 修改退伍复学材料
     *
     * @param sysDisMate 退伍复学材料
     * @return 结果
     */
    @Override
    public int updateSysDisMate(SysDisMate sysDisMate) {
        return sysDisMateMapper.updateSysDisMate(sysDisMate);
    }

    /**
     * 批量删除退伍复学材料
     *
     * @param ids 需要删除的退伍复学材料主键
     * @return 结果
     */
    @Override
    public int deleteSysDisMateByIds(Long[] ids) {
        return sysDisMateMapper.deleteSysDisMateByIds(ids);
    }

    /**
     * 删除退伍复学材料信息
     *
     * @param id 退伍复学材料主键
     * @return 结果
     */
    @Override
    public int deleteSysDisMateById(Long id) {
        return sysDisMateMapper.deleteSysDisMateById(id);
    }
}
